using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Configuration;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class StoredProcedurePage : System.Web.UI.Page
{
    GridView gridView;
    SqlDataSource sqlDataSource;
    protected void Page_Load(object sender, EventArgs e)
    {
        sqlDataSource = new SqlDataSource();
        sqlDataSource.ConnectionString =
        WebConfigurationManager.ConnectionStrings[
            "RecruitVietnamDbConnectionString"
            ].ConnectionString;
        
        ShoData("1");
    }

    void ShoData(string userID)
    {

        sqlDataSource.SelectCommandType =
                SqlDataSourceCommandType.StoredProcedure;
        gridView = new GridView();
        this.form1.Controls.Add(gridView);
        
        sqlDataSource.SelectCommand =
        "SPShowEducations";
        sqlDataSource.SelectParameters.Add(
        "UserID", TypeCode.String, userID);
        gridView.DataSource = sqlDataSource;
        gridView.DataBind();

    }

     
}
